# Uses of Interface
com.google.protobuf.LazyStringList

Packages that use LazyStringList
Package
Description
com.google.protobuf

## Uses of LazyStringList in com.google.protobuf

Classes in com.google.protobuf that implement LazyStringList
Modifier and Type
Class
Description
`class`
`LazyStringArrayList`
An implementation of `LazyStringList` that wraps an ArrayList.
`class`
`UnmodifiableLazyStringList`
Deprecated.
use `Internal.ProtobufList.makeImmutable()` instead.
Fields in com.google.protobuf declared as LazyStringList
Modifier and Type
Field
Description
`static final LazyStringList`
LazyStringArrayList.`EMPTY`
Deprecated.
use `LazyStringArrayList.emptyList()` instead
Methods in com.google.protobuf that return LazyStringList
Modifier and Type
Method
Description
`LazyStringList`
LazyStringArrayList.`getUnmodifiableView()`
`LazyStringList`
LazyStringList.`getUnmodifiableView()`
Returns an unmodifiable view of the list.
`LazyStringList`
UnmodifiableLazyStringList.`getUnmodifiableView()`
Deprecated.
Methods in com.google.protobuf with parameters of type LazyStringList
Modifier and Type
Method
Description
`void`
LazyStringArrayList.`mergeFrom(LazyStringList other)`
`void`
LazyStringList.`mergeFrom(LazyStringList other)`
Merges all elements from another LazyStringList into this one.
`void`
UnmodifiableLazyStringList.`mergeFrom(LazyStringList other)`
Deprecated.
Constructors in com.google.protobuf with parameters of type LazyStringList
Modifier
Constructor
Description
``
`LazyStringArrayList(LazyStringList from)`
``
`UnmodifiableLazyStringList(LazyStringList list)`
Deprecated.